package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.User;

public interface UserService {

	/**
	 * 检测邮箱是否可用
	 * 
	 * @param email
	 * @return
	 */
	boolean isEmailUseable(String email);
	
	/**
	 * 检测手机号是否可用
	 * 
	 * @param email
	 * @return
	 */
	boolean isTelUseable(String tel);

	/**
	 * 保存user信息
	 * 
	 * @param user
	 * @return
	 */
	User save(User user);

	/**
	 * 按uu取用户信息
	 * 
	 * @param userUU
	 * @return
	 */
	User findUserByUserUU(Long userUU);

	/**
	 * 按email取用户信息
	 * 
	 * @param userEmail
	 * @return
	 */
	User findUserByUserEmail(String userEmail);

	/**
	 * 按tel取用户信息
	 * 
	 * @param userTel
	 * @return
	 */
	User findUserByUserTel(String userTel);

	/**
	 * 设置为有效用户
	 * 
	 * @param user
	 * @return
	 */
	User setEnable(User user);

}
